# Uses of Class
org.apache.lucene.search.TaskExecutor

Packages that use TaskExecutor
Package
Description
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of TaskExecutor in org.apache.lucene.codecs.lucene99

  Constructors in org.apache.lucene.codecs.lucene99 with parameters of type TaskExecutor
  Modifier
  Constructor
  Description
  ``
  `Lucene99HnswVectorsWriter(SegmentWriteState state, int M, int beamWidth, FlatVectorsWriter flatVectorWriter, int numMergeWorkers, TaskExecutor mergeExec)`

- ## Uses of TaskExecutor in org.apache.lucene.search

  Methods in org.apache.lucene.search that return TaskExecutor
  Modifier and Type
  Method
  Description
  `TaskExecutor`
  IndexSearcher.`getTaskExecutor()`
  Returns the `TaskExecutor` that this searcher relies on to execute concurrent operations

- ## Uses of TaskExecutor in org.apache.lucene.util.hnsw

  Constructors in org.apache.lucene.util.hnsw with parameters of type TaskExecutor
  Modifier
  Constructor
  Description
  ``
  `ConcurrentHnswMerger(FieldInfo fieldInfo, RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, TaskExecutor taskExecutor, int numWorker)`
  ``
  `HnswConcurrentMergeBuilder(TaskExecutor taskExecutor, int numWorker, RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, OnHeapHnswGraph hnsw, BitSet initializedNodes)`